// Alpha Fade Shaders

textures/common/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/common/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/common/alpha_050	// Mix of Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/common/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/common/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/common/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/common/antiportal
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm antiportal
}

textures/common/black_nonsolid
{
	qer_editorimage textures/common/black.tga
	surfaceparm nonsolid
	qer_trans 0.75
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/common/black.tga
		rgbGen identity
		blendfunc filter
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/blackout
{
	qer_editorimage textures/common/black.tga
	surfaceParm nolightmap  
	surfaceparm nomarks
	{
		map textures/common/black.tga
		rgbGen vertex
	}
}

textures/common/blockout
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/common/blockout.tga
		blendfunc filter
		rgbgen identity

	}
}

textures/common/pwclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw

}


//*****************************************
//**   I've reduced the transparency on most editor-only brushes here.
//**   If the transparent textures are still too pale for
//**   things like clip, hint, trigger, etc.,
//**   Please make an editorimage to suit your needs.
//******************************************
textures/common/terrain
{
	surfaceparm nodraw
	surfaceparm nomarks
    	surfaceparm nolightmap
}

textures/common/terrain2
{
	qer_editorimage textures/common/terrain.tga
	surfaceparm dust
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/noimpact
{
	qer_editorimage textures/common/noimpact.tga
	surfaceparm noimpact
	surfaceParm nolightmap  
	surfaceparm nomarks
	{
		map textures/common/black.tga
		rgbGen vertex
	}
}
