textures/proto2/asylum_floor_w_nonsolid
{
	surfaceparm nonsolid
	qer_editorimage textures/proto2/asylum_floor_w.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/asylum_floor_w.tga
		rgbGen identity
		blendfunc filter
	}
}

textures/proto2/asylum_floor_w_plain
{
	qer_editorimage textures/proto2/asylum_floor_w.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/asylum_floor_w.tga
		rgbGen identity
		blendfunc filter
	}
}

textures/proto2/beam_blue
{
	qer_editorimage textures/proto2/beam_blue.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .6
	cull none
	{
		map textures/proto2/beam_blue.tga
		blendfunc add
	}
}

textures/proto2/beam_blue_wide
{
	qer_editorimage textures/proto2/beam_blue_wide.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
    qer_trans .6
	cull none
	{
		map textures/proto2/beam_blue_wide.tga
		tcMod Scroll .3 0
        blendfunc add
	}
}

textures/proto2/blueflare_nonsolid
{
	qer_editorimage textures/proto2/blueflare.tga
	cull disable
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip
	{
		clampmap textures/proto2/blueflare.tga
		tcmod rotate 10
		blendfunc add
		rgbGen identity
	}
}

textures/proto2/brick_trim_ns
{
	qer_editorimage textures/proto2/brick_trim.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/brick_trim.tga
		rgbGen identity
		blendfunc filter
	}
}

textures/proto2/bright_blue
{
	qer_editorimage textures/proto2/siberia_ablue.tga

	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/proto2/siberia_ablue.tga
		blendfunc blend
	}
}

textures/proto2/bright_red
{
	qer_editorimage textures/proto2/siberia_ared.tga

	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/proto2/siberia_ared.tga
		blendfunc blend
	}
}

textures/proto2/cables
{
	qer_editorimage textures/proto2/cables.tga
	surfaceparm trans	
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/proto2/cables.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

textures/proto2/cables02
{
	qer_editorimage textures/proto2/cables02.tga
	surfaceparm trans	
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/proto2/cables02.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

textures/proto2/chain_rept
{
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	deformvertexes autosprite2
	sort underwater
	{
		map textures/proto2/chain_rept.tga
		blendfunc blend
		rgbgen vertex
	}
}

textures/proto2/chain_still
{
	qer_editorimage textures/proto2/chain.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/proto2/chain.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

textures/proto2/grill01_dc
{
	qer_editorimage textures/proto2/grill01.tga 
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	cull none
	nopicmip
	{
		map textures/proto2/grill01.tga
		blendfunc blend
		depthwrite
		rgbgen vertex
	}
}

textures/proto2/grill01_noalpha
{
	qer_editorimage textures/proto2/grill01.tga 
	nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/proto2/grill01.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/proto2/grill01_scrolllight
{
	{
		map textures/base_light/scrolllight2_rept.tga
		tcmod scroll 0 1
	}
	{
		map textures/base_light/scrolllight2_rept.tga
		blendfunc add
		tcmod scroll 0 2
	}
	{
		map textures/proto2/grill01.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/proto2/grill03
{
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
    {
		map textures/proto2/grill03.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
    }
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

textures/proto2/grill03_clipped
{
	qer_editorimage textures/proto2/grill03.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm playerclip
	cull none
	nopicmip
    {
		map textures/proto2/grill03.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
    }
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

textures/proto2/grit01_nonsolid
{
	qer_editorimage textures/proto2/grit01.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/grit01.tga
		blendfunc filter
	}
}

textures/proto2/light_flare
{
	qer_editorimage textures/proto2/light_flare.tga
	cull disable
	surfaceparm trans
	surfaceparm nonsolid
	deformVertexes wave 50 sin 0 3 0 .3
	deformVertexes move .3 .1 0  sin 0 .5 0 0.2
	nopicmip
	{
		map textures/proto2/light_flare.tga
		tcmod scroll 0 -0.008
		blendfunc blend
		rgbGen wave sin 1 .05 0 .75
	}
}

textures/proto2/proto_lightamber_3
{
	qer_editorimage textures/proto2/proto_lightamber.tga
	q3map_lightimage textures/proto2/proto_lightamber.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/proto_lightamber.tga
		blendfunc filter
		rgbGen identity
	}
        {
		map textures/proto2/proto_lightamber.tga
		blendfunc add
	}
}

textures/proto2/proto_lightamber_500
{
	qer_editorimage textures/proto2/proto_lightamber.tga
	q3map_lightimage textures/proto2/proto_lightamber.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/proto_lightamber.tga
		blendfunc filter
		rgbGen identity
	}
        {
		map textures/proto2/proto_lightamber.tga
		blendfunc add
	}
}

textures/proto2/proto_lightamber_1500
{
	qer_editorimage textures/proto2/proto_lightamber.tga
	q3map_lightimage textures/proto2/proto_lightamber.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/proto_lightamber.tga
		blendfunc filter
		rgbGen identity
	}
        {
		map textures/proto2/proto_lightamber.tga
		blendfunc add
	}
}

textures/proto2/tutorial_arrow
{
	qer_editorimage textures/proto2/reda_dcl.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip

	{
		map textures/proto2/reda_dcl.tga
		blendfunc add
	}
}

textures/proto2/yela_dcl
{
	qer_editorimage  textures/proto2/yela_dcl.tga
	surfaceparm	nomarks 
	surfaceparm	trans
	surfaceparm	nonsolid
     surfaceparm pointlight
	polygonOffset
	qer_trans 0.5
	sort 6
	nopicmip
        {
		map textures/proto2/yela_dcl.tga
        blendfunc add
		rgbGen vertex
	}
}

textures/proto2/supportctfblumerge
{
	{
		map textures/effects2/envmap_blu.tga
		blendfunc gl_one gl_zero
		tcmod scale .025 .05
		tcmod scroll .005 .02
		rgbgen identity
	}
	{
		map textures/proto2/supportctfblumerge.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/proto2/steam02
{
    qer_editorimage textures/proto2/steam02_img.tga
    cull disable
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm pointlight
    deformVertexes wave 50 sin 0 3 0 .3
    deformVertexes move .3 .1 0  sin 0 .5 0 0.2
	{
		map textures/proto2/steam02.tga
        	tcmod scroll 0 0.3
		blendfunc blend
		rgbGen wave sin 1 .05 0 .75
	}
	{
		map textures/proto2/steam02.tga
        	tcmod scroll 0 0.4
		blendfunc blend
		rgbGen wave sin 0.4 .1 0 .5
	}
}

textures/proto2/steam01_dc
{
    qer_editorimage textures/proto2/steam_01_img.tga
	cull none
	deformvertexes autosprite2
	surfaceparm trans
	surfaceparm nolightmap
	deformvertexes wave 50 sin 0 4 0 .3
	deformvertexes move .3 .1 0 sin 0 .5 0 0.2
	{
		map textures/spog_dc/steam_add.tga
		tcmod scroll 0 0.3
		blendfunc add
		rgbgen vertex
	}
}

textures/proto2/dust_flat_blue
{
qer_editorimage textures/proto2/steam_01_img.tga
qer_trans 0.50
    cull disable
    surfaceparm trans
    surfaceparm nonsolid
    deformVertexes wave 50 sin 0 3 0 .2
	{
		map textures/proto2/dust03.tga
        	tcmod scroll 0 -0.015
		blendfunc blend
		rgbGen wave sin 1 .05 0 .4
	}
	{
		map textures/proto2/dust02.tga
        	tcmod scroll 0.015 0.02
		blendfunc blend
		rgbGen wave sin 0.3 .04 0 .5
	}

}

textures/proto2/dust_flat
{
    qer_editorimage textures/proto2/steam_01_img.tga
	qer_trans 0.50
    cull disable
    surfaceparm trans
    surfaceparm nonsolid
	surfaceparm nomarks
    deformVertexes wave 50 sin 0 3 0 .2
	{
		map textures/proto2/dust01.tga
        tcmod scroll 0 -0.015
		blendfunc blend
		rgbGen wave sin 1 .05 0 .4
	}
	{
		map textures/proto2/dust02.tga
        tcmod scroll 0.015 0.02
		blendfunc blend
		rgbGen wave sin 0.3 .04 0 .5
	}
}

textures/proto2/dust01
{
    qer_editorimage textures/proto2/steam_01_img.tga
	qer_trans 0.50
    cull disable
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm pointlight
	surfaceparm nomarks
    deformVertexes wave 50 sin 0 3 0 .3
    deformVertexes move .3 .1 0  sin 0 .5 0 0.2
	{
		map textures/proto2/dust01.tga
        tcmod scroll 0 -0.008
		blendfunc blend
		rgbGen wave sin 1 .05 0 .75
	}
	{
		map textures/proto2/dust02.tga
        tcmod scroll 0.01 0.01
		blendfunc blend
		rgbGen wave sin 0.3 .04 0 .5
	}
}

textures/proto2/snow01
{
	qer_trans 0.50
    	qer_editorimage textures/proto2/snowed.tga
    	cull disable
    	deformVertexes autoSprite2
    	deformVertexes wave 50 sin 0 3 0 .2
    	surfaceparm trans
    	surfaceparm pointlight
    	surfaceparm nonsolid

	{
		map textures/proto2/snow02.tga
        	tcmod scroll 0.025 -0.28
		blendfunc blend

	}
	{
		map textures/proto2/snow02.tga
        	tcmod scroll -0.01 -0.4
		blendfunc blend
		rgbGen wave sin 0.5 0 0 0

	}
}

textures/proto2/flare_sun
{
	qer_editorimage textures/proto2/sun.tga
    cull disable
    surfaceparm trans
    surfaceparm nolightmap
	nopicmip
	{
		map textures/proto2/sun.tga
		blendfunc add
		rgbGen identity
	}
}

textures/proto2/redflare_nonsolid
{
	qer_editorimage textures/proto2/redflare.tga
    cull disable
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nolightmap
	nopicmip
	{
		clampmap textures/proto2/redflare.tga
                tcmod rotate 10
		blendfunc add
		rgbGen identity
	}
}

textures/proto2/pipewall01_noalpha
{
	qer_editorimage textures/proto2/pipewall01.tga
	surfaceparm	metalsteps	
	{
		map textures/proto2/pipewall01.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

textures/proto2/rail01_noshadow
{
	qer_editorimage textures/proto2/rail01.tga
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/proto2/rail01.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

textures/proto2/tin_floor04_sound
{
	qer_editorimage textures/proto2/tin_floor04.tga
	surfaceparm	metalsteps	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/tin_floor04.tga
		rgbGen identity
		blendfunc filter
	}
}

textures/proto2/vent01_noalpha
{
	qer_editorimage textures/proto2/vent01.tga
	surfaceparm	metalsteps	 
	{
		map textures/proto2/vent01.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

textures/proto2/wood_planks
{
	qer_editorimage textures/proto2/wood_planks.tga
	surfaceparm	woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/wood_planks.tga
		rgbGen identity
		blendfunc filter
	}
}

textures/proto2/wood_planks_02
{
	qer_editorimage textures/proto2/wood_planks_02.tga
	surfaceparm	woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/wood_planks_02.tga
		rgbGen identity
		blendfunc filter
	}
}

textures/proto2/wood_planks_03
{
	qer_editorimage textures/proto2/wood_planks_03.tga
	surfaceparm	woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/wood_planks_03.tga
		rgbGen identity
		blendfunc filter
	}
}